function set_dft_sig
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
names_hndl = findobj (gcbf , 'Tag' , 'Pop_name');
cyc_hndl = findobj(gcbf , 'Tag' , 'Slider_cycle');
static_hndl = findobj(gcbf , 'Tag' , 'Static_cycle');

%find number of cycles
cycles = floor(get (cyc_hndl,'Value'));
set(static_hndl ,'String' , num2str(cycles));
if ( isempty (cycles) | (cycles <= 0) )
   errordlg ('Please enter valid cycles > 0');
   return;
end;


%set sequence length
N1 = 16; %length of one cycle
N = N1 * cycles;

%set the time scale
time = linspace (0,1,N+1);
%find the sigtype
names = get ( names_hndl ,'String');
val = get (names_hndl , 'Value');
sig_type = names{val};

switch (sig_type)
case('Sine'),
   sig = sin (2*pi*cycles*time);
case ('Square'),
   sig = square (2*pi*cycles*time);
case ('Triangular'),
   sig = sawtooth(2*pi*cycles*time,0.5);
case ('Sawtooth'),
   sig = sawtooth (2*pi*cycles*time);
end;

sig(end) = [];

show_plots(sig);
   
   